library IEEE;
use IEEE.STD_LOGIC_1164.all;

entity mux4x1 is
port (i0,i1,i2,i3 : in bit;
      s1,s0: 		in bit;
      z: 		out bit );
end mux4x1;

architecture behavioral of mux4x1 is
  
begin
  z <=	i0  after 1 ns when s1 = '0' and s0 = '0' else
   	i1  after 1 ns when s1 = '0' and s0 = '1' else
	i2  after 1 ns when s1 = '1' and s0 = '0' else
	i3  after 1 ns;

end behavioral; 
