library IEEE;
use IEEE.STD_LOGIC_1164.all;

ENTITY ffd IS
PORT ( rst,d, clk: IN std_logic;
		 q: OUT std_logic );
END ffd;

ARCHITECTURE behavioral OF ffd IS
BEGIN
 PROCESS(CLK,RST)
	BEGIN
	IF RST='1' THEN q <= '0'	;
	ELSIF clk='0' AND clk'EVENT AND clk'LAST_VALUE='1' 
			THEN q<= d AFTER 2ns;
		END IF;
	END PROCESS;
END behavioral;
