library IEEE;
use IEEE.STD_LOGIC_1164.all;

ENTITY selettore IS
 PORT (a0,a1,a2,a3 : IN std_logic;
	    	sel : IN integer range 0 to 7;
 		q: OUT std_logic);
 END selettore;

ARCHITECTURE sequenziale OF selettore IS
   BEGIN
	PROCESS(a0,a1,a2,a3,sel)
	 BEGIN
		CASE sel IS
  			WHEN 0 	  	=> q <= a0;
			WHEN 1 | 3 | 5  	=> q <= a1;
			WHEN 6 to 7 		=> q <= a2;
			WHEN OTHERS		=> q <= a3;
		END CASE;
  	END PROCESS;
END sequenziale;
